<?php
/**
 * The archive template file.
 */

get_header();

$h_tag = 'h1';
if ( is_category() ) {
	$post_type_title = single_cat_title('', false );
} else {
	$post_type_title = get_the_archive_title();
}
$post_type_text = get_the_archive_description();

?>

<div class="section section-header-small padding-tb">
    <div class="container">
        <h1><?php echo $post_type_title; ?></h1>

	    <?php if( !empty( $post_type_text ) ) { ?>
            <div class="text"><?php echo $post_type_text; ?></div>
	    <?php } ?>
    </div>
</div>

<div class="section padding-tb">

    <div class="container">

		<?php if ( have_posts() ) : ?>

            <div class="archive-grid">

				<?php while ( have_posts() ) : the_post(); ?>

                    <div class="archive-grid-item">
						<?php if( has_post_thumbnail() ) { ?>
                            <div class="archive-grid-item__image">
                                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'medium_large' ); ?></a>
                            </div>
						<?php } ?>

                        <div class="archive-grid-item__content">
                            <a href="<?php the_permalink(); ?>" class="archive-grid-item__title">
                                <h3 class="h2"><?php the_title(); ?></h3>
                            </a>
                            <?php the_excerpt(); ?>
                            <a href="<?php the_permalink(); ?>" class="btn btn-underline">Lees meer</a>
                        </div>

                    </div>

				<?php endwhile; ?>
            </div>

			<?php get_template_part( 'partials/archive/posts-navigation' ); ?>

		<?php endif; ?>
    </div>

</div>

<?php get_footer(); ?>
