// Main style
import "./../sass/style.scss";

/**
 * INIT FUNCTION
 ====================================================== */
(function($) {

    'use strict';

    window.App = {

        // Settings
        $window: $(window),
        $body: $('body'),

        // Initialise the object
        // ---------------------------------------------- /
        init: function() {
            this.mobileMenu();
        },

        // Mobile menu
        // ---------------------------------------------- /
        mobileMenu: function() {
            var self = this;
            var $mobileMenuBtn = $('.btn-menu');
            var $mobileMenu = $('.mobile-menu');

            // Mouse click
            $mobileMenuBtn.on( 'click', function() {
                $mobileMenu.toggleClass('mobile-menu--open');
                $mobileMenuBtn.toggleClass('btn-menu--open');

                const pressed = $(this).attr('aria-pressed') === "true";

                // Change aria-pressed to the opposite state
                $(this).attr('aria-pressed', !pressed);
            });

            // Enter click
            $mobileMenuBtn.keypress(function (e) {
                var key = e.which;
                if(key === 13) {
                    $mobileMenuBtn.trigger('click');
                    return false;
                }
            });

            // Click menu
            $mobileMenu.on('click', 'a', function() {
                hideMobileMenu();
            });

            // Close menu if click outer container
            $('html').on('click touchstart', function (event) {
                if ($(event.target).closest('.header, .mobile-menu').length === 0) {
                    hideMobileMenu();
                }
            });

            function hideMobileMenu() {
                $mobileMenu.removeClass('mobile-menu--open');
                $mobileMenuBtn.removeClass('btn-menu--open');
                $mobileMenuBtn.attr('aria-pressed', "false");
            }
        },
    };

})(jQuery);