<?php
$status_raw = rw_get_status( get_the_ID(), true );
?>

<a href="<?php the_permalink(); ?>" class="grid-house-item <?php echo ( $status_raw === 'VERKOCHT' ? 'grid-house-item--verkocht' : '' ); ?>">
	<div class="grid-house-item__image">
		<?php if( has_post_thumbnail() ) { ?>
			<?php the_post_thumbnail( 'medium' ); ?>
		<?php } else { ?>
			<img src="<?php echo THEME_DIR; ?>/assets/images/placeholder-house.svg" alt="<?php echo esc_attr( get_the_title() ); ?>" width="300" height="200" />
		<?php } ?>

		<?php if( $status_raw !== 'BESCHIKBAAR' ) { ?>
			<div class="grid-house-item__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo rw_get_status(); ?></div>
		<?php } ?>
	</div>

	<div class="grid-house-item__content">
        <div class="grid-house-item__primary-info">
            <div class="grid-house-item__city"><?php echo rw_get_city(); ?></div>
            <h4 class="grid-house-item__title"><?php the_title(); ?></h4>
            <div class="grid-house-item__price"><?php echo rw_project_get_price_formatted(); ?> <?php echo rw_get_price_condition(); ?></div>
        </div>
        <div class="grid-house-item__secondary-info">
            <div class="grid-house-item__size"><?php echo rw_project_get_size_formatted(); ?></div>
            <div class="grid-house-item__bedrooms"><?php echo rw_get_meta( 'slaapkamers' ); ?> <?php _e( 'slaapkamers', 'rw-thema' ); ?></div>
        </div>
	</div>

</a>