<?php
/**
 * Bouwnummer
 */

$status_raw = rw_get_status( get_the_ID(), true );
?>
<div class="section single-house-header padding-tb">

    <div class="container">

        <div class="house-header">

            <div class="house-header__info">
                <h1 class="house-header__title"><?php echo get_the_title(); ?></h1>

                <div class="house-header__location">
                    <?php echo rw_get_postcode(); ?> <?php echo rw_project_get_city(); ?>
                    <?php if( $status_raw !== 'BESCHIKBAAR' ) { ?>
                        <div class="house-header__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo rw_get_status(); ?></div>
                    <?php } ?>
                </div>

                <div class="house-header__price-wrapper">
                    <div class="house-header__price">
                        <?php echo rw_project_get_price_formatted(); ?> <?php echo rw_get_price_condition(); ?>
                    </div>
                </div>

                <div class="house-header__meta">
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_get_meta( 'slaapkamers' ); ?> <span><?php _e( 'Aantal slaapkamers', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_size_formatted(); ?> <span><?php _e( 'Wonen', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_plot_size_formatted(); ?> <span><?php _e( 'Perceel', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_get_meta( 'energieklasse' ); ?> <span><?php _e( 'Energielabel', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                </div>
            </div>

            <?php get_template_part( 'partials/projects/header-images' );  ?>

        </div>
    </div>

</div>

<div class="section single-house-description margin-tb">
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-9">
                <h3 class="text-secondary"><?php _e( 'Omschrijving', 'rw-thema' ); ?></h3>
                <?php the_content(); ?>
            </div>
        </div>
    </div>
</div>

<?php
$document = rw_object_get_documents( get_the_ID(), ['type' => 'document'] );
?>
<div class="section section-properties padding-tb margin-t-default background-orange">
    <div class="container">
        <div class="section__title-bar">
            <h3 class="text-secondary"><?php _e( 'Kenmerken', 'rw-thema' ); ?></h3>

			<?php if( !empty( $document ) ) { ?>
                <a href="<?php echo wp_get_attachment_url( $document[0]->ID ); ?>" class="btn btn-outline-primary btn-properties-document" target="_blank"><?php echo MainTheme::get_svg_icon( 'pdf' ); ?> <?php _e( 'Download brochure', 'rw-thema' ); ?></a>
			<?php } ?>
        </div>

        <div class="house-properties">
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Algemeen', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'koopprijs',
					'status',
					'aanvaarding',
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Energie', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'energieklasse',
					'isolatievormen',
					'verwarmingsoorten',
					'warmwatersoorten'
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Bouw', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'woonhuissoort',
					'woonhuistype',
					'bouwjaar',
					'bouwvorm'
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Buitenruimte', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'tuintypes',
					'schuur',
					'hoofdtuinlocatie',
					'hoofdtuinbreedte',
					'hoofdtuinlengte',
					'hoofdtuinachterom'
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Oppervlakte en inhoud', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'woonoppervlakte',
					'inpanding_overig',
					'inhoud',
					'perceel'
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Indeling', 'rw-thema' ); ?></h5>
				<?php
				$features = [
					'etages',
					'kamers',
					'slaapkamers',
					'badkamers',
				];
				echo rw_object_get_properties_list( $features );
				?>
            </div>
        </div>
    </div>
</div>