<?php
/**
 * Project type
 */
global $post;
?>
<div class="section single-house-header padding-tb">

    <div class="container">

        <div class="house-header">

            <div class="house-header__info">
                <h1 class="house-header__title"><?php echo get_the_title(); ?></h1>

                <div class="house-header__location">
                    <?php echo rw_get_postcode(); ?> <?php echo rw_get_term( get_the_ID(), 'rw_makelaar_p_city' ); ?>
                    <?php
                    $status_raw = rw_get_status( get_the_ID(), true );
                    if( $status_raw !== 'BESCHIKBAAR' ) { ?>
                        <div class="house-header__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo rw_get_status(); ?></div>
                    <?php } ?>
                </div>

                <div class="house-header__price-wrapper">
                    <div class="house-header__price">
                        <?php echo rw_project_get_price_formatted(); ?>
                    </div>
                </div>

                <div class="house-header__meta">
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_meta( 'aantalBouwnummers' ); ?> <span><?php _e( 'Aantal huizen', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_size_formatted(); ?> <span><?php _e( 'Wonen', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_plot_size_formatted(); ?> <span><?php _e( 'Perceel', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_project_get_meta( 'datumStartBouw' ); ?> <span><?php _e( 'Datum start bouw', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                </div>
            </div>

            <?php get_template_part( 'partials/projects/header-images' );  ?>

        </div>
    </div>

</div>

<div class="section single-house-description margin-tb">
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-9">
                <h3 class="text-secondary"><?php _e( 'Omschrijving', 'rw-thema' ); ?></h3>
                <?php the_content(); ?>
            </div>
        </div>
    </div>
</div>

<?php get_template_part( 'partials/projects/documents' );  ?>

<?php
$parent_post = get_post();
$project_objects = rw_project_get_type_objects();

if( !empty( $project_objects ) ) {
	?>
    <div class="section section-properties padding-tb margin-t-default background-orange">
        <div class="container">
            <div class="section__title-bar">
                <h3 class="text-secondary"><?php _e( 'Bouwnummers', 'rw-thema' ); ?></h3>
            </div>
            <div class="grid-houses grid-houses--large">
				<?php while( $project_objects->have_posts() ) { $project_objects->the_post(); ?>
                    <div class="grid-houses__col">
						<?php get_template_part( 'partials/projects/loop/project-object' ); ?>
                    </div>
				    <?php
                }
                // Reset loop
                $project_objects->reset_postdata();
				$post = $parent_post;
				setup_postdata( $post );
                ?>
            </div>
        </div>
    </div>
<?php } ?>
