<?php
$status_raw = rw_get_status( get_the_ID(), true );
?>
<div class="section single-house-header padding-tb">

	<div class="container">

		<div class="house-header">

			<div class="house-header__info">
				<h1 class="house-header__title"><?php echo get_the_title(); ?></h1>

				<div class="house-header__location">
					<?php echo rw_get_postcode(); ?> <?php echo rw_get_city(); ?>
					<?php if( $status_raw !== 'BESCHIKBAAR' ) { ?>
						<div class="house-header__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo rw_get_status(); ?></div>
					<?php } ?>
				</div>

				<div class="house-header__price-wrapper">
					<div class="house-header__price">
                        <?php echo rw_project_get_price_formatted(); ?>
					</div>
				</div>

				<div class="house-header__meta">
					<div class="house-header__meta-item">
						<div class="house-header__meta-item-label">
							<?php echo rw_project_get_meta( 'aantalBouwnummers' ); ?> <span><?php _e( 'Aantal huizen', 'rw-thema' ); ?></span>
						</div>
					</div>
					<div class="house-header__meta-item">
						<div class="house-header__meta-item-label">
							<?php echo rw_project_get_size_formatted(); ?> <span><?php _e( 'Wonen', 'rw-thema' ); ?></span>
						</div>
					</div>
					<div class="house-header__meta-item">
						<div class="house-header__meta-item-label">
							<?php echo rw_project_get_plot_size_formatted(); ?> <span><?php _e( 'Perceel', 'rw-thema' ); ?></span>
						</div>
					</div>
					<div class="house-header__meta-item">
						<div class="house-header__meta-item-label">
							<?php echo rw_project_get_meta( 'datumStartBouw' ); ?> <span><?php _e( 'Datum start bouw', 'rw-thema' ); ?></span>
						</div>
					</div>
				</div>
			</div>

			<?php get_template_part( 'partials/projects/components/header-images' );  ?>

		</div>
	</div>

</div>

<div class="section single-house-description margin-tb">
	<div class="container">
		<div class="row">
			<div class="col-12 col-md-9">
				<h3 class="text-secondary"><?php _e( 'Omschrijving', 'rw-thema' ); ?></h3>
				<?php the_content(); ?>
			</div>
		</div>
	</div>
</div>

<?php get_template_part( 'partials/projects/components/documents' );  ?>

<?php
$project_types = rw_project_get_types( get_the_id(), [ 'orderby' => 'size', 'order' => 'ASC' ]);

if( !empty( $project_types ) ) {
	?>
    <div class="section section-properties padding-tb margin-t-default background-orange">
        <div class="container">
            <div class="section__title-bar">
                <h3 class="text-secondary"><?php _e( 'Bouwtypes', 'rw-thema' ); ?></h3>
            </div>
            <div class="grid-project-types">
				<?php foreach ( $project_types as $post ) { setup_postdata( $post ); ?>
                    <div class="grid-project-types__col" data-project-id="<?php the_ID(); ?>">
	                    <?php
	                    $status_raw = rw_get_status( get_the_ID(), true );
	                    ?>

                        <div class="grid-house-item grid-project-type-item <?php echo ( $status_raw === 'VERKOCHT' ? 'grid-house-item--verkocht' : '' ); ?>">
                            <div class="grid-house-item__image">
			                    <?php if( has_post_thumbnail() ) { ?>
				                    <?php the_post_thumbnail( 'medium' ); ?>
			                    <?php } else { ?>
                                    <img src="<?php echo THEME_DIR; ?>/assets/images/placeholder-house.svg" alt="<?php echo esc_attr( get_the_title() ); ?>" width="300" height="200" />
			                    <?php } ?>

			                    <?php if( $status_raw !== 'BESCHIKBAAR' ) { ?>
                                    <div class="grid-house-item__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo rw_get_status(); ?></div>
			                    <?php } ?>
                            </div>

                            <div class="grid-house-item__content">
                                <div class="grid-house-item__primary-info">
                                    <div class="grid-house-item__city"><?php echo rw_project_get_meta( 'woonhuissoort' ); ?></div>
                                    <h4 class="grid-house-item__title"><?php the_title(); ?></h4>
                                    <div class="grid-house-item__price"><?php echo rw_project_get_price_formatted(); ?></div>
                                </div>
                                <div class="grid-house-item__secondary-info">
                                    <div class="grid-house-item__available"><?php echo sprintf( '%d huizen (%d beschikbaar)', rw_project_get_meta( 'aantalBouwnummers' ), rw_project_get_meta( 'aantalVrijeEenheden' ) ); ?></div>
                                    <div class="grid-house-item__size"><?php echo rw_project_get_size_formatted(); ?> <span><?php _e( 'wonen', 'rw-thema' ); ?></span></div>
                                </div>
                            </div>
                        </div>

	                    <?php echo do_shortcode( '[rw_projects_type_objects]' ); ?>
                    </div>

				<?php } wp_reset_postdata(); ?>
            </div>
        </div>
    </div>
<?php } ?>