<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

<div class="section padding-tb">

    <div class="container">

        <?php if ( have_posts() ) : ?>

            <div class="search-results-title">
                <h1>Zoekresultaten voor: <strong><?php echo get_search_query(); ?></strong></h1>

                <?php get_search_form(); ?>
            </div>

            <?php while ( have_posts() ) : the_post(); ?>
                <div class="post-item--simple">
                    <h4 class="post-item--title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                    <div class="post-item--text">
                        <?php the_excerpt(); ?>
                    </div>
                </div>
            <?php endwhile; ?>

            <div class="navigation"><p><?php posts_nav_link(); ?></p></div>

        <?php else : ?>
            <div class="search-results-title">
                <h1>Geen zoekresultaten</h1>
                <p>Probeer een andere zoekterm.</p>
                <?php get_search_form(); ?>
            </div>
        <?php endif; ?>

    </div>

</div>

<?php get_footer(); ?>
