<?php get_header(); ?>

<?php
if ( have_posts() ) : while ( have_posts() ) : the_post();

$status_text     = rw_get_status();
$status_raw      = rw_get_status( get_the_ID(), true );
$price_condition = rw_get_price_condition();
$price           = rw_object_get_price();
$location        = rw_object_geocode_location();
$images          = rw_object_get_images();
$images_preview  = rw_object_get_images( get_the_ID(), [ 'offset' => 1, 'limit' => 2, 'type' => 'foto' ] );
$videos          = rw_object_get_videos();
?>

<div class="section single-house-header padding-tb">

    <div class="container">

        <div class="house-header">

            <div class="house-header__info">
                <h1 class="house-header__title"><?php echo get_the_title(); ?></h1>
                <div class="house-header__location">
                    <?php echo rw_get_postcode().' '.rw_get_city(); ?>
	                <?php if( $status_raw !== 'BESCHIKBAAR' ) { ?>
                        <div class="house-header__status status--<?php echo esc_attr( strtolower( $status_raw ) ); ?>"><?php echo $status_text; ?></div>
	                <?php } ?>
                </div>

                <div class="house-header__price-wrapper">
                    <div class="house-header__price">
                        <?php echo $price; ?> <?php echo $price_condition; ?>
                    </div>
                </div>

                <div class="house-header__meta">
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_object_get_size(); ?> <span><?php _e( 'wonen', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_object_get_plot_size(); ?> <span><?php _e( 'perceel', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_get_meta( 'slaapkamers' ); ?> <span><?php _e( 'slaapkamers', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                    <div class="house-header__meta-item">
                        <div class="house-header__meta-item-label">
                            <?php echo rw_get_meta( 'energieklasse' ); ?> <span><?php _e( 'energielabel', 'rw-thema' ); ?></span>
                        </div>
                    </div>
                </div>
            </div>

	        <?php if( $images ) { ?>
                <div class="house-header__image">
                    <button class="house-header__open-gallery house-image-1" aria-label="<?php _e( 'Foto\'s bekijken', 'rw-thema' ); ?>"><?php echo MainTheme::get_svg_icon( 'camera' ); ?> <?php echo sprintf( '%s+ foto\'s', count( $images ) ); ?></button>
                    <div class="house-header__main-image house-image-1 house-header__image-click">
                        <?php echo wp_get_attachment_image( $images[0]->ID, 'large' ); ?>
                    </div>
                </div>
	        <?php } ?>

	        <?php if ( $images_preview ) { ?>
                <div class="house-header__images">
                    <?php
                    $image_count = 1;
                    foreach ( $images_preview as $image ) {
                        $image_count ++;
                        $image_src = wp_get_attachment_image_src( $image->ID, 'large' );
                        ?>
                        <div class="house-header__image-click house-image-<?php echo $image_count; ?>"><?php echo wp_get_attachment_image( $image->ID, 'medium' ); ?></div>
                        <?php
                    }
                    ?>
                </div>
            <?php } ?>

            <?php
            $gallery_arr = [];
            foreach ( $images as $image_gallery ) {
	            $image_src = wp_get_attachment_image_src( $image_gallery->ID, 'full' );
	            $image_thumb_src = wp_get_attachment_image_src( $image_gallery->ID, 'thumbnail' );
	            $gallery_arr[] = [
                    'src'   => $image_src[0],
                    'thumb' => $image_thumb_src[0]
                ];
            }
            ?>
            <script>
                const houseImages = <?php echo json_encode( $gallery_arr ); ?>;
            </script>

        </div>
    </div>

</div>

<?php
$word_count = str_word_count( trim( strip_tags( get_the_content() ) ) );
$limit = 100;
?>
<div class="section single-house-description margin-tb">

    <div class="container">

        <div class="row">
            <div class="col-12 col-md-9">
                <h3 class="text-secondary"><?php _e( 'Omschrijving', 'rw-thema' ); ?></h3>
                <div class="read-more <?php echo $word_count > $limit ? 'read-more--active' : ''; ?>">
                    <div class="read-more__inner">
                        <?php the_content(); ?>
                    </div>
                    <?php if( $word_count > $limit ) { ?>
                        <button class="btn btn-more read-more__btn" data-text-less="<?php _e( 'Lees minder', 'rw-thema' ); ?>"><?php _e( 'Lees meer', 'rw-thema' ); ?></button>
                    <?php } ?>
                </div>
            </div>
        </div>

    </div>

</div>

<?php
$document = rw_object_get_documents( get_the_ID(), ['type' => 'document'] );
?>
<div class="section section-properties padding-tb margin-t-default background-orange">
    <div class="container">
        <div class="section__title-bar">
            <h3 class="text-secondary"><?php _e( 'Kenmerken', 'rw-thema' ); ?></h3>

            <?php if( !empty( $document ) ) { ?>
                <a href="<?php echo wp_get_attachment_url( $document[0]->ID ); ?>" class="btn btn-outline-primary btn-properties-document" target="_blank"><?php echo MainTheme::get_svg_icon( 'pdf' ); ?> <?php _e( 'Download brochure', 'rw-thema' ); ?></a>
            <?php } ?>
        </div>

        <div class="house-properties">
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Algemeen', 'rw-thema' ); ?></h5>
                <?php
                $features = [
                    'prijs',
                    'status',
                    'aanvaarding',
                ];
                echo rw_object_get_properties_list( $features );
                ?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Energie', 'rw-thema' ); ?></h5>
		        <?php
		        $features = [
			        'energieklasse',
			        'isolatievormen',
			        'verwarmingsoorten',
                    'warmwatersoorten'
		        ];
		        echo rw_object_get_properties_list( $features );
		        ?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Bouw', 'rw-thema' ); ?></h5>
		        <?php
		        $features = [
			        'woonhuissoort',
			        'woonhuistype',
			        'bouwjaar',
			        'bouwvorm'
		        ];
		        echo rw_object_get_properties_list( $features );
		        ?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Buitenruimte', 'rw-thema' ); ?></h5>
		        <?php
		        $features = [
			        'tuintypes',
			        'schuur',
			        'hoofdtuinlocatie',
			        'hoofdtuinbreedte',
			        'hoofdtuinlengte',
			        'hoofdtuinachterom'
		        ];
		        echo rw_object_get_properties_list( $features );
		        ?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Oppervlakte en inhoud', 'rw-thema' ); ?></h5>
		        <?php
		        $features = [
			        'woonoppervlakte',
			        'inpanding_overig',
			        'inhoud',
			        'perceel'
		        ];
		        echo rw_object_get_properties_list( $features );
		        ?>
            </div>
            <div class="house-properties__group">
                <h5 class="house-properties__title text-secondary"><?php _e( 'Indeling', 'rw-thema' ); ?></h5>
		        <?php
		        $features = [
			        'etages',
			        'kamers',
			        'slaapkamers',
			        'badkamers',
		        ];
		        echo rw_object_get_properties_list( $features );
		        ?>
            </div>
        </div>
    </div>
</div>

<div class="section section-house-maps padding-tb">
    <div class="container">
        <h3 class="text-secondary"><?php _e( 'Locatie en streetview', 'rw-thema' ); ?></h3>
        <div class="house-maps">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <?php echo do_shortcode( '[rw_object_map]' ); ?>
                </div>
                <div class="col-12 col-sm-6">
                    <?php echo do_shortcode( '[rw_object_streetview]' ); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php endwhile; endif; ?>

<?php get_footer(); ?>